#define _MT_FriendChatMsg_t gLua->GetMetaTable(MT_FriendChatMsg_t::MT_NAME, MT_FriendChatMsg_t::MT_ID)

namespace MT_FriendChatMsg_t
{
	const char *MT_NAME = "FriendChatMsg_t";
	const int MT_ID = 8013;

	LUA_FUNCTION(GetReceiver)
	{
		gLua->CheckType(1, MT_ID);

		FriendChatMsg_t *chatMessage = (FriendChatMsg_t*)gLua->GetUserData(1);

		gLua->PushLong(chatMessage->m_ulReceiver);

		return 1;
	}

	LUA_FUNCTION(GetSender)
	{
		gLua->CheckType(1, MT_ID);

		FriendChatMsg_t *chatMessage = (FriendChatMsg_t*)gLua->GetUserData(1);

		gLua->PushLong(chatMessage->m_ulSender);

		return 1;
	}

	LUA_FUNCTION(GetChatID)
	{
		gLua->CheckType(1, MT_ID);

		FriendChatMsg_t *chatMessage = (FriendChatMsg_t*)gLua->GetUserData(1);

		gLua->PushDouble(chatMessage->m_iChatID);

		return 1;
	}
}