#define _MT_FriendEndChatSession_t gLua->GetMetaTable(MT_FriendEndChatSession_t::MT_NAME, MT_FriendEndChatSession_t::MT_ID)

namespace MT_FriendEndChatSession_t
{
	const char *MT_NAME = "FriendEndChatSession_t";
	const int MT_ID = 8014;

	LUA_FUNCTION(GetCSteamID)
	{
		gLua->CheckType(1, MT_ID);

		FriendEndChatSession_t *chatSession = (FriendEndChatSession_t*)gLua->GetUserData(1);

		CSteamID *friendID = new CSteamID(chatSession->m_SteamID);
			
		gLua->PushUserData(_MT_CSteamID, friendID);

		return 1;
	}
}