#define _MT_CGameID gLua->GetMetaTable(MT_CGameID::MT_NAME, MT_CGameID::MT_ID)

namespace MT_CGameID
{
	const char *MT_NAME = "CGameID";
	const int MT_ID = 8008;

	LUA_FUNCTION(AppID)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->PushDouble(cGameID->AppID());

		return 1;
	}

	LUA_FUNCTION(IsMod)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->Push(cGameID->IsMod());

		return 1;
	}

	LUA_FUNCTION(IsP2PFile)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->Push(cGameID->IsP2PFile());

		return 1;
	}

	LUA_FUNCTION(IsShortcut)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->Push(cGameID->IsShortcut());

		return 1;
	}

	LUA_FUNCTION(IsSteamApp)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->Push(cGameID->IsSteamApp());

		return 1;
	}

	LUA_FUNCTION(IsValid)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->Push(cGameID->IsValid());

		return 1;
	}

	LUA_FUNCTION(ModID)
	{
		gLua->CheckType(1, MT_ID);

		CGameID *cGameID = (CGameID*)gLua->GetUserData(1);

		gLua->PushDouble(cGameID->ModID());

		return 1;
	}
}