#define _MT_ISteamUser005 gLua->GetMetaTable(MT_ISteamUser005::MT_NAME, MT_ISteamUser005::MT_ID)

namespace MT_ISteamUser005
{
	const char *MT_NAME = "ISteamUser005";
	const int MT_ID = 8014;

	LUA_FUNCTION(GetHSteamUser)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser005 *steamUser = (ISteamUser005*)gLua->GetUserData(1);

		HSteamUser *hSteamUser = new HSteamUser(steamUser->GetHSteamUser());

		gLua->PushUserData(_MT_HSteamUser, hSteamUser);

		return 1;
	}

	LUA_FUNCTION(GetCSteamID)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser005 *steamUser = (ISteamUser005*)gLua->GetUserData(1);

		CSteamID *cSteamID = new CSteamID(steamUser->GetSteamID());

		gLua->PushUserData(_MT_CSteamID, cSteamID);

		return 1;
	}

	LUA_FUNCTION(IsPrimaryChatDestination)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser005 *steamUser = (ISteamUser005*)gLua->GetUserData(1);

		gLua->Push(steamUser->IsPrimaryChatDestination());

		return true;
	}

	LUA_FUNCTION(LoggedOn)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser005 *steamUser = (ISteamUser005*)gLua->GetUserData(1);

		gLua->Push(steamUser->LoggedOn());

		return 1;
	}

	LUA_FUNCTION(SetSelfAsPrimaryChatDestination)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser005 *steamUser = (ISteamUser005*)gLua->GetUserData(1);

		steamUser->SetSelfAsPrimaryChatDestination();

		return 0;
	}
}