#define _MT_ISteamUser012 gLua->GetMetaTable(MT_ISteamUser012::MT_NAME, MT_ISteamUser012::MT_ID)

namespace MT_ISteamUser012
{
	const char *MT_NAME = "ISteamUser012";
	const int MT_ID = 8000;

	LUA_FUNCTION(GetHSteamUser)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser012 *steamUser = (ISteamUser012*)gLua->GetUserData(1);

		HSteamUser *hSteamUser = new HSteamUser(steamUser->GetHSteamUser());

		gLua->PushUserData(_MT_HSteamUser, hSteamUser);

		return 1;
	}

	LUA_FUNCTION(GetCSteamID)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser012 *steamUser = (ISteamUser012*)gLua->GetUserData(1);

		CSteamID *cSteamID = new CSteamID(steamUser->GetSteamID());

		gLua->PushUserData(_MT_CSteamID, cSteamID);

		return 1;
	}

	LUA_FUNCTION(LoggedOn)
	{
		gLua->CheckType(1, MT_ID);

		ISteamUser012 *steamUser = (ISteamUser012*)gLua->GetUserData(1);

		gLua->Push(steamUser->LoggedOn());

		return 1;
	}
}