#define _MT_PersonaStateChange_t gLua->GetMetaTable(MT_PersonaStateChange_t::MT_NAME, MT_PersonaStateChange_t::MT_ID)

namespace MT_PersonaStateChange_t
{
	const char *MT_NAME = "PersonaStateChange_t";
	const int MT_ID = 8012;

	LUA_FUNCTION(GetSteamID)
	{
		gLua->CheckType(1, MT_ID);

		PersonaStateChange_t *personaState = (PersonaStateChange_t*)gLua->GetUserData(1);

		gLua->PushLong(personaState->m_ulSteamID);

		return 1;
	}

	LUA_FUNCTION(GetFlags)
	{
		gLua->CheckType(1, MT_ID);

		PersonaStateChange_t *personaState = (PersonaStateChange_t*)gLua->GetUserData(1);

		gLua->PushDouble(personaState->m_nChangeFlags);

		return 1;
	}
}