#define _MT_PubParam gLua->GetMetaTable(MT_PubParam::MT_NAME, MT_PubParam::MT_ID)

namespace MT_PubParam
{
	const char *MT_NAME = "PubParam";
	const int MT_ID = 8010;

	LUA_FUNCTION(To)
	{
		gLua->CheckType(2, GLua::TYPE_NUMBER);

		void *uData = (void*)gLua->GetUserData(1);

		switch(gLua->GetInteger(2))
		{
			case MT_GameOverlayActivated_t::MT_ID:
			{
				gLua->PushUserData(_MT_GameOverlayActivated_t, uData);
				
				break;
			}
			case MT_PersonaStateChange_t::MT_ID:
			{
				gLua->PushUserData(_MT_PersonaStateChange_t, uData);

				break;
			}
			case MT_FriendChatMsg_t::MT_ID:
			{
				gLua->PushUserData(_MT_FriendChatMsg_t, uData);

				break;
			}
			case MT_FriendEndChatSession_t::MT_ID:
			{
				gLua->PushUserData(_MT_FriendEndChatSession_t, uData);

				break;
			}
			case MT_FriendAdded_t::MT_ID:
			{
				gLua->PushUserData(_MT_FriendAdded_t, uData);

				break;
			}
			case MT_UserRequestingFriendship_t::MT_ID:
			{
				gLua->PushUserData(_MT_UserRequestingFriendship_t, uData);

				break;
			}
			default:
			{
				gLua->PushNil();

				break;
			}
		}

		return 1;
	}
}